"
 COPYRIGHT (c) 1993 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

ClassChange subclass:#ClassCommentChange
	instanceVariableNames:'comment'
	classVariableNames:''
	poolDictionaries:''
	category:'System-Changes'
!

!ClassCommentChange class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1993 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    instances represent class comment-changes. They are typically
    held in a ChangeSet.

    [author:]
        Claus Gittinger
"
! !

!ClassCommentChange methodsFor:'accessing'!

className:clsName comment:aCommentString
    className := clsName.
    comment := aCommentString

    "Created: / 16.2.1998 / 14:16:45 / cg"
!

comment
    ^ comment
! !

!ClassCommentChange methodsFor:'printing'!

printOn:aStream
    aStream nextPutAll:'ClassCommentChange(';
	    nextPutAll:className;
	    nextPutAll:')'
! !

!ClassCommentChange class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/ClassCommentChange.st,v 1.13 1998-02-16 13:59:49 cg Exp $'
! !
