ClassChange subclass:#MethodRemoveChange
	instanceVariableNames:'selector'
	classVariableNames:''
	poolDictionaries:''
	category:'System-Changes'
!

!MethodRemoveChange class methodsFor:'documentation'!

history

    "Created: / 16.2.1998 / 12:47:20 / cg"
    "Created: #class:selector: / 16.2.1998 / 12:47:39 / cg"
    "Created: #printOn: / 16.2.1998 / 12:50:42 / cg"
    "Created: #className:selector: / 16.2.1998 / 12:51:57 / cg"
! !

!MethodRemoveChange class methodsFor:'instance creation'!

class:cls selector:selector 
    ^ self basicNew class:cls selector:selector

    "Created: / 17.4.1998 / 17:10:51 / cg"
! !

!MethodRemoveChange methodsFor:'accessing'!

class:cls selector:sel
    className := cls name.
    selector := sel

    "Modified: / 27.8.1995 / 22:56:03 / claus"
    "Created: / 16.2.1998 / 12:47:39 / cg"
!

className:clsName selector:sel
    className := clsName.
    selector := sel

    "Modified: / 27.8.1995 / 22:56:03 / claus"
    "Created: / 16.2.1998 / 12:51:57 / cg"
! !

!MethodRemoveChange methodsFor:'printing'!

printOn:aStream
    aStream     
        nextPutAll:className; 
        nextPutAll:' removeSelector:'; 
        nextPutAll:selector storeString

    "Created: / 16.2.1998 / 12:50:42 / cg"
! !

!MethodRemoveChange class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/MethodRemoveChange.st,v 1.2 1998-04-17 18:51:47 cg Exp $'
! !
